#!/usr/bin/env node

const program = require('commander');
const inquirer = require("inquirer");
const fs = require("fs");
const path = require("path");
const version=require('../package.json').version
program
    .version(version)
    .command('init')
    .action(
        () => {
            inquirer
                .prompt([{
                    type: "input",
                    message: "请输入文件名称",
                    name: "name"
                }, {
                    type: "input",
                    message: "作者",
                    name: "author",
                    default: 'rj'
                }, {
                    type: "list",
                    message: "请选择sass或者lass",
                    name: "css",
                    choices: ["sass", "lass"]
                }, {
                    type: "confirm",
                    message: "是否使用路由",
                    name: "router"
                }])
                .then(answers => {
                    console.log(answers)
                    let tempFile = answers.router 
                    ? fs.readFileSync(path.join(__dirname, "../file/temp1.js")) 
                    : fs.readFileSync(path.join(__dirname, "../file/temp2.js"));
                    console.log(tempFile)
                });
        }
    );

program.parse(process.argv);